/*==============================================================================
 * Пример перенаправления функций ввода/вывода printf() и scanf() через UART,
 * бегущими светодиодами и сканированием кнопок на плате.
 *------------------------------------------------------------------------------
 * НИИЭТ, Богдан Колбов <kolbov@niiet.ru>
 * НИИЭТ, Александр Дыхно <dykhno@niiet.ru>
 *==============================================================================
 * ДАННОЕ ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ ПРЕДОСТАВЛЯЕТСЯ «КАК ЕСТЬ», БЕЗ КАКИХ-ЛИБО
 * ГАРАНТИЙ, ЯВНО ВЫРАЖЕННЫХ ИЛИ ПОДРАЗУМЕВАЕМЫХ, ВКЛЮЧАЯ ГАРАНТИИ ТОВАРНОЙ
 * ПРИГОДНОСТИ, СООТВЕТСТВИЯ ПО ЕГО КОНКРЕТНОМУ НАЗНАЧЕНИЮ И ОТСУТСТВИЯ
 * НАРУШЕНИЙ, НО НЕ ОГРАНИЧИВАЯСЬ ИМИ. ДАННОЕ ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ
 * ПРЕДНАЗНАЧЕНО ДЛЯ ОЗНАКОМИТЕЛЬНЫХ ЦЕЛЕЙ И НАПРАВЛЕНО ТОЛЬКО НА
 * ПРЕДОСТАВЛЕНИЕ ДОПОЛНИТЕЛЬНОЙ ИНФОРМАЦИИ О ПРОДУКТЕ, С ЦЕЛЬЮ СОХРАНИТЬ ВРЕМЯ
 * ПОТРЕБИТЕЛЮ. НИ В КАКОМ СЛУЧАЕ АВТОРЫ ИЛИ ПРАВООБЛАДАТЕЛИ НЕ НЕСУТ
 * ОТВЕТСТВЕННОСТИ ПО КАКИМ-ЛИБО ИСКАМ, ЗА ПРЯМОЙ ИЛИ КОСВЕННЫЙ УЩЕРБ, ИЛИ
 * ПО ИНЫМ ТРЕБОВАНИЯМ, ВОЗНИКШИМ ИЗ-ЗА ИСПОЛЬЗОВАНИЯ ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ
 * ИЛИ ИНЫХ ДЕЙСТВИЙ С ПРОГРАММНЫМ ОБЕСПЕЧЕНИЕМ.
 *
 *                              2018 АО "НИИЭТ"
 *==============================================================================
 */

//-- Includes ------------------------------------------------------------------
#include "K1921VK01T.h"
#include "bsp.h"
#include "retarget_conf.h"

//-- Defines -------------------------------------------------------------------

//-- Peripheral init functions -------------------------------------------------
void periph_init()
{
    SystemCoreClockUpdate();
    retarget_init();
    BSP_LED_Init();
    BSP_Btn_Init();
    SysTick_Config(10000000);
}

//-- Main ----------------------------------------------------------------------
int main()
{
    uint32_t i,tmp;
    char string[256];

    periph_init();
    printf("K1921VK01T> All periph inited\n");
    printf("K1921VK01T> CPU frequency is %.3f MHz\n", SystemCoreClock / 1E6);
    printf("K1921VK01T> Start LED run ...\n");
    printf("K1921VK01T> Enter Any String ...\n");
    scanf( "%s" , string );
    printf("K1921VK01T> Your string: %s\n",string);
    printf("K1921VK01T> Press Any Key ...\n");
    while (1) {
        BSP_BTN_WAIT_UNTIL_ANY_KEY();
        tmp = BSP_Btn_IsPressed();
        if (tmp == MULTIPLE) printf("Pressed Some Keys\n");
        else  for (i=1;i<NUM_BTN_CODES-1;i++) if (tmp == i) printf("Pressed Key %d\n",i);
    };
    return 0;
}

//-- IRQ handlers --------------------------------------------------------------
static volatile uint32_t leds = 0x01;
void SysTick_Handler()
{
    BSP_LED_On(leds);
    if (leds & (1 << (LED_MAX-1))) leds = 0x01;
    else leds = (leds << 1);
}
