/*==============================================================================
 * Определения для периферии платы КФДЛ.441546.016Б (NIIET-EVAL-K1921VK01T)
 *------------------------------------------------------------------------------
 * НИИЭТ, Богдан Колбов <kolbov@niiet.ru>
 *==============================================================================
 * ДАННОЕ ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ ПРЕДОСТАВЛЯЕТСЯ «КАК ЕСТЬ», БЕЗ КАКИХ-ЛИБО
 * ГАРАНТИЙ, ЯВНО ВЫРАЖЕННЫХ ИЛИ ПОДРАЗУМЕВАЕМЫХ, ВКЛЮЧАЯ ГАРАНТИИ ТОВАРНОЙ
 * ПРИГОДНОСТИ, СООТВЕТСТВИЯ ПО ЕГО КОНКРЕТНОМУ НАЗНАЧЕНИЮ И ОТСУТСТВИЯ
 * НАРУШЕНИЙ, НО НЕ ОГРАНИЧИВАЯСЬ ИМИ. ДАННОЕ ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ
 * ПРЕДНАЗНАЧЕНО ДЛЯ ОЗНАКОМИТЕЛЬНЫХ ЦЕЛЕЙ И НАПРАВЛЕНО ТОЛЬКО НА
 * ПРЕДОСТАВЛЕНИЕ ДОПОЛНИТЕЛЬНОЙ ИНФОРМАЦИИ О ПРОДУКТЕ, С ЦЕЛЬЮ СОХРАНИТЬ ВРЕМЯ
 * ПОТРЕБИТЕЛЮ. НИ В КАКОМ СЛУЧАЕ АВТОРЫ ИЛИ ПРАВООБЛАДАТЕЛИ НЕ НЕСУТ
 * ОТВЕТСТВЕННОСТИ ПО КАКИМ-ЛИБО ИСКАМ, ЗА ПРЯМОЙ ИЛИ КОСВЕННЫЙ УЩЕРБ, ИЛИ
 * ПО ИНЫМ ТРЕБОВАНИЯМ, ВОЗНИКШИМ ИЗ-ЗА ИСПОЛЬЗОВАНИЯ ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ
 * ИЛИ ИНЫХ ДЕЙСТВИЙ С ПРОГРАММНЫМ ОБЕСПЕЧЕНИЕМ.
 *
 *                              2018 АО "НИИЭТ"
 *==============================================================================
 */

#ifndef BSP_H
#define BSP_H

#ifdef __cplusplus
extern "C" {
#endif

//-- Includes ------------------------------------------------------------------
#include "K1921VK01T.h"
#include <stdio.h>

//-- Defines -------------------------------------------------------------------
//LEDs
#define LED_PORT NT_GPIOG
#define LED_PORT_DEN GPIODENG
#define LED_PIN_MSK 0xFF00
#define LED_COUNT 	8	
#define LED_WRITE(X)  LED_PORT->MASKHIGHBYTE[LED_PIN_MSK >> 8] = (X << 8)
#define LED_TOGGLE(X) LED_PORT->MASKHIGHBYTE[X] = ~LED_PORT->MASKHIGHBYTE[X]
#define LED_MAX  8
#define LED0_POS 8
#define LED1_POS 9
#define LED2_POS 10
#define LED3_POS 11
#define LED4_POS 12
#define LED5_POS 13
#define LED6_POS 14
#define LED7_POS 15
#define LED0_MSK (1 << LED0_POS)
#define LED1_MSK (1 << LED1_POS)
#define LED2_MSK (1 << LED2_POS)
#define LED3_MSK (1 << LED3_POS)
#define LED4_MSK (1 << LED4_POS)
#define LED5_MSK (1 << LED5_POS)
#define LED6_MSK (1 << LED6_POS)
#define LED7_MSK (1 << LED7_POS)

//Buttons
#define BTN_PORT NT_GPIOF
#define BTN_PIN_MSK 0x00C0
//Button SB1 F7
#define BTN_SB1_PORT NT_GPIOF
#define BTN_SB1_PORT_EN GPIODENF
#define BTN_SB1_PIN_POS 7
#define BTN_SB1_PIN_MSK (1 << BTN_SB1_PIN_POS)

//Button SB2 F6
#define BTN_SB2_PORT NT_GPIOF
#define BTN_SB2_PORT_EN GPIODENF
#define BTN_SB2_PIN_POS 6
#define BTN_SB2_PIN_MSK (1 << BTN_SB2_PIN_POS)

#define BTN_USE_IRQ
#define BTN_IRQ_N GPIOF_IRQn
#define BTN_IRQ_HANDLER GPIOF_IRQHandler

#define BTN_COUNT	2	

/* "Коды клавиш" */
typedef enum {
		NOKEY	 	 = 0,
    SB1      = 1,
    SB2      = 2,
    MULTIPLE = 3,    
    NUM_BTN_CODES    
} BTNCode;

//-- Functions -----------------------------------------------------------------
void BSP_LED_Init(void);
void BSP_LED_On(uint32_t leds);
void BSP_LED_Off(uint32_t leds);
void BSP_LED_Toggle(void);

void BSP_Btn_Init(void);
uint32_t BSP_Btn_IsPressed(void);
BTNCode BSP_Btn_GetKey(void);

//BTN functions
__STATIC_INLINE uint8_t BSP_BTN_KEY_PRESSED(uint8_t Key) {return (BSP_Btn_GetKey() == Key);}
__STATIC_INLINE void BSP_BTN_WAIT_UNTIL_KEY_PRESSED(uint8_t Key)  { while(!BSP_BTN_KEY_PRESSED(Key));}
__STATIC_INLINE void BSP_BTN_WAIT_UNTIL_KEY_RELEASED(uint8_t Key) { while(BSP_BTN_KEY_PRESSED(Key));}
__STATIC_INLINE void BSP_BTN_WAIT_UNTIL_ANY_KEY(void)          	  { while(BSP_Btn_GetKey() == NOKEY);}

#ifdef __cplusplus
}
#endif

#endif // BSP_H
