/*==============================================================================
 * Определения для периферии платы VectorCARD-K1921VK01T
 *------------------------------------------------------------------------------
 * НИИЭТ, Богдан Колбов <kolbov@niiet.ru>
 * НИИЭТ, Александр Дыхно <dykhno@niiet.ru>
 *==============================================================================
 * ДАННОЕ ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ ПРЕДОСТАВЛЯЕТСЯ «КАК ЕСТЬ», БЕЗ КАКИХ-ЛИБО
 * ГАРАНТИЙ, ЯВНО ВЫРАЖЕННЫХ ИЛИ ПОДРАЗУМЕВАЕМЫХ, ВКЛЮЧАЯ ГАРАНТИИ ТОВАРНОЙ
 * ПРИГОДНОСТИ, СООТВЕТСТВИЯ ПО ЕГО КОНКРЕТНОМУ НАЗНАЧЕНИЮ И ОТСУТСТВИЯ
 * НАРУШЕНИЙ, НО НЕ ОГРАНИЧИВАЯСЬ ИМИ. ДАННОЕ ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ
 * ПРЕДНАЗНАЧЕНО ДЛЯ ОЗНАКОМИТЕЛЬНЫХ ЦЕЛЕЙ И НАПРАВЛЕНО ТОЛЬКО НА
 * ПРЕДОСТАВЛЕНИЕ ДОПОЛНИТЕЛЬНОЙ ИНФОРМАЦИИ О ПРОДУКТЕ, С ЦЕЛЬЮ СОХРАНИТЬ ВРЕМЯ
 * ПОТРЕБИТЕЛЮ. НИ В КАКОМ СЛУЧАЕ АВТОРЫ ИЛИ ПРАВООБЛАДАТЕЛИ НЕ НЕСУТ
 * ОТВЕТСТВЕННОСТИ ПО КАКИМ-ЛИБО ИСКАМ, ЗА ПРЯМОЙ ИЛИ КОСВЕННЫЙ УЩЕРБ, ИЛИ
 * ПО ИНЫМ ТРЕБОВАНИЯМ, ВОЗНИКШИМ ИЗ-ЗА ИСПОЛЬЗОВАНИЯ ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ
 * ИЛИ ИНЫХ ДЕЙСТВИЙ С ПРОГРАММНЫМ ОБЕСПЕЧЕНИЕМ.
 *
 *                              2018 АО "НИИЭТ"
 *==============================================================================
 */

#ifndef BSP_H
#define BSP_H

#ifdef __cplusplus
extern "C" {
#endif

//-- Includes ------------------------------------------------------------------
#include "K1921VK01T.h"
#include <stdio.h>

//-- Defines -------------------------------------------------------------------
//LEDs LED0(PB5) LED1(PB6) LED2(PB7) LED3(PB8)
#define LED_PORT NT_GPIOB
#define LED_PORT_DEN GPIODENB
#define LED_PIN_MSK 0x01E0
#define LED_MAX  4	
#define LED0_POS 5
#define LED1_POS 6
#define LED2_POS 7
#define LED3_POS 8
#define LED0_MSK (1 << LED0_POS)
#define LED1_MSK (1 << LED1_POS)
#define LED2_MSK (1 << LED2_POS)
#define LED3_MSK (1 << LED3_POS)
//Buttons
//Button SB2 D3
#define BTN_SB2_PORT NT_GPIOD
#define BTN_SB2_PORT_EN GPIODEND
#define BTN_SB2_PIN_POS 3
#define BTN_SB2_PIN_MSK (1 << BTN_SB2_PIN_POS)

//Button SB3 D4
#define BTN_SB3_PORT NT_GPIOD
#define BTN_SB3_PORT_EN GPIODEND
#define BTN_SB3_PIN_POS 4
#define BTN_SB3_PIN_MSK (1 << BTN_SB3_PIN_POS)

//Button SB4 D5
#define BTN_SB4_PORT NT_GPIOD
#define BTN_SB4_PORT_EN GPIODEND
#define BTN_SB4_PIN_POS 5
#define BTN_SB4_PIN_MSK (1 << BTN_SB4_PIN_POS)

//Button SB5 D6
#define BTN_SB5_PORT NT_GPIOD
#define BTN_SB5_PORT_EN GPIODEND
#define BTN_SB5_PIN_POS 6
#define BTN_SB5_PIN_MSK (1 << BTN_SB5_PIN_POS)

#define BTN_USE_IRQ
#define BTN_IRQ_N GPIOD_IRQn
#define BTN_IRQ_HANDLER GPIOD_IRQHandler

#define BTN_COUNT	4	

/* "Коды клавиш" */
typedef enum {
	NOKEY	 = 0,
    SB2      = 1,
    SB3      = 2,
    SB4      = 3,
    SB5      = 4,
    MULTIPLE = 5,    
    NUM_BTN_CODES    
} BTNCode;

//-- Functions -----------------------------------------------------------------
void BSP_LED_Init(void);
void BSP_LED_On(uint32_t leds);
void BSP_LED_Off(uint32_t leds);

void BSP_Btn_Init(void);
uint32_t BSP_Btn_IsPressed(void);
BTNCode BSP_Btn_GetKey(void);

//BTN functions
__STATIC_INLINE uint8_t BSP_BTN_KEY_PRESSED(uint8_t Key) {return (BSP_Btn_GetKey() == Key);}
__STATIC_INLINE void BSP_BTN_WAIT_UNTIL_KEY_PRESSED(uint8_t Key)  { while(!BSP_BTN_KEY_PRESSED(Key));}
__STATIC_INLINE void BSP_BTN_WAIT_UNTIL_KEY_RELEASED(uint8_t Key) { while(BSP_BTN_KEY_PRESSED(Key));}
__STATIC_INLINE void BSP_BTN_WAIT_UNTIL_ANY_KEY(void)          	  { while(BSP_Btn_GetKey() == NOKEY);}

#ifdef __cplusplus
}
#endif

#endif // BSP_H
